> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Set Firm Product Limit

> Set position limits for multiple products.



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json post /rest/v2/firm-product-limit/batch
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/v2/firm-product-limit/batch:
    post:
      tags:
        - Firm Product Limits
      summary: Batch Set Firm Product Limit
      description: Set position limits for multiple products.
      operationId: batchSetFirmProductLimitV2
      parameters: []
      requestBody:
        description: Product limit parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchSetFirmProductLimitRequestV2'
        required: false
      responses:
        '200':
          description: Successfully created firm product limit
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FirmProductLimitResponseV2'
        '400':
          description: Invalid firm UUID or product code
        '403':
          description: Insufficient permissions
      deprecated: false
      security: []
components:
  schemas:
    BatchSetFirmProductLimitRequestV2:
      type: object
      additionalProperties: false
      properties:
        firm_uuid:
          type: string
          example: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
        firm_product_limits_requests:
          type: array
          items:
            $ref: '#/components/schemas/FirmProductLimitRequestV2'
          example:
            - long_daily_position_limit: 10000
              long_real_position_limit: 15000
              options_fill_protection_threshold: 100
              product_code: BIPZ30
              short_daily_position_limit: 15000
              short_real_position_limit: 20000
              trading_disabled: false
            - long_daily_position_limit: 20000
              long_real_position_limit: 25000
              options_fill_protection_threshold: 100
              product_code: BITZ25
              short_daily_position_limit: 25000
              short_real_position_limit: 30000
              trading_disabled: false
    FirmProductLimitResponseV2:
      type: object
      additionalProperties: false
      properties:
        firm_uuid:
          type: string
          example: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
        product_code:
          type: string
          example: BIPZ30
        product_name:
          type: string
          example: Bitcoin Perpetual Index Futures Dec 2030
        trading_disabled:
          type: boolean
          example: false
        trading24x7_disabled:
          type: boolean
        long_daily_position_limit:
          type: integer
          format: int32
          example: 10000
        short_daily_position_limit:
          type: integer
          format: int32
          example: 15000
        long_real_position_limit:
          type: integer
          format: int64
          example: 15000
        short_real_position_limit:
          type: integer
          format: int64
          example: 20000
    FirmProductLimitRequestV2:
      type: object
      additionalProperties: false
      properties:
        product_code:
          type: string
        trading_disabled:
          type: boolean
        trading24x7_disabled:
          type: boolean
        options_fill_protection_threshold:
          type: integer
          format: int32
        long_daily_position_limit:
          type: integer
          format: int32
        short_daily_position_limit:
          type: integer
          format: int32
        long_real_position_limit:
          type: integer
          format: int64
        short_real_position_limit:
          type: integer
          format: int64
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````